# Method: resellernotify.getwatchdetails

- [HTTP request](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/getwatchdetails#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/getwatchdetails#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/getwatchdetails#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/getwatchdetails#body.ResellernotifyGetwatchdetailsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/getwatchdetails#body.aspect)
- [Try it!](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/getwatchdetails#try-it)

Returns all the details of the watch corresponding to the reseller.

### HTTP request

`GET https://reseller.googleapis.com/apps/reseller/v1/resellernotify/getwatchdetails`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

JSON template for resellernotify getwatchdetails response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "topicName": string, "serviceAccountEmailAddresses": [ string ] } ``` |

| Fields ||
|---|---|
| `topicName` | `string` Topic name of the PubSub |
| `serviceAccountEmailAddresses[]` | `string` List of registered service accounts. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/apps.order`
- `
  https://www.googleapis.com/auth/apps.order.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).